Create a payment
curl --request POST \
--url https://api.plexospay.com/v1/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 10000,
"operatorPhone": "+2389001234",
"customerId": "<string>",
"externalId": "<string>",
"customer": {
"phone": "<string>",
"name": "<string>",
"email": "<string>"
},
"description": "<string>",
"statementDescriptor": "<string>",
"metadata": {}
}
'import requests
url = "https://api.plexospay.com/v1/payments"
payload = {
"amount": 10000,
"operatorPhone": "+2389001234",
"customerId": "<string>",
"externalId": "<string>",
"customer": {
"phone": "<string>",
"name": "<string>",
"email": "<string>"
},
"description": "<string>",
"statementDescriptor": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10000,
operatorPhone: '+2389001234',
customerId: '<string>',
externalId: '<string>',
customer: {phone: '<string>', name: '<string>', email: '<string>'},
description: '<string>',
statementDescriptor: '<string>',
metadata: {}
})
};
fetch('https://api.plexospay.com/v1/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pi_abc123",
"externalId": "<string>",
"amount": "10000",
"currency": "CVE",
"feeAmount": "200",
"netAmount": "9800",
"operator": "CVMOVEL",
"operatorPhone": "+2389001234",
"operatorTxId": "<string>",
"status": "CREATED",
"failureCode": "<string>",
"failureMessage": "<string>",
"description": "<string>",
"statementDescriptor": "<string>",
"customerId": "<string>",
"metadata": {},
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}Payments
Create a Payment
Initiate a mobile money debit on the customer’s phone.
POST
/
v1
/
payments
Create a payment
Authorizations
API key starting with sk_live_ or sk_test_
Headers
Unique key to prevent duplicate payments
Body
application/json
Amount in centavos
Required range:
1 <= x <= 100000000Example:
10000
Mobile money operator
Available options:
CVMOVEL, UNITEL_TMAIS, MOCK Customer's phone number
Example:
"+2389001234"
ISO currency code
Available options:
CVE, AOA Your reference ID
Show child attributes
Show child attributes
Arbitrary key-value metadata (max 50 keys)
Response
Payment created
Example:
"pi_abc123"
Amount in centavos
Example:
"10000"
ISO currency code
Available options:
CVE, AOA Example:
"200"
Example:
"9800"
Mobile money operator
Available options:
CVMOVEL, UNITEL_TMAIS, MOCK Example:
"+2389001234"
Available options:
CREATED, OPERATOR_PENDING, USER_CONFIRMING, DEBITED, SETTLED, FAILED, EXPIRED, REFUNDED, PARTIALLY_REFUNDED, CANCELLED Arbitrary key-value metadata (max 50 keys)